Skip to content

updateCustomerTax

WRITE

Update customer tax.

POST /api/v1/sales/updateCustomerTax
curl -X POST '<your-host>/api/v1/sales/updateCustomerTax' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'

Parameters

ParameterType
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string",
      "minLength": 1
    },
    "taxId": {
      "type": "string"
    },
    "vatNumber": {
      "type": "string"
    },
    "eori": {
      "type": "string"
    },
    "taxExempt": {
      "default": false,
      "type": "boolean"
    },
    "taxExemptionReason": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "Resale",
            "Government",
            "Nonprofit",
            "Agriculture",
            "Industrial",
            "Export",
            "Medical",
            "Educational",
            "Religious",
            "Other"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "taxExemptionCertificateNumber": {
      "type": "string"
    },
    "taxExemptionCertificatePath": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "customerId"
  ]
}